<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

/**
 * Доступные события:
 * * 1 - товар создан
 * * 2 - загружены картинки
 * * 3 - добавлено описание для витрины
 * * 4 - заполнены обязательные характеристики
 * * 5 - заполнены необязательные характеристики
 * * 6 - товар не активен
 * * 7 - товар активен
 * * 8 - добавлен в товарную склейку
 */
enum ProductEventEnum: int
{
    /** Товар создан */
    case PRODUCT_CREATED = 1;
    /** Загружены картинки */
    case IMAGES_UPLOADED = 2;
    /** Добавлено описание для витрины */
    case ADDED_DESCRIPTION = 3;
    /** Заполнены обязательные характеристики */
    case REQUIRED_PROPERTIES_FILLED = 4;
    /** Заполнены необязательные характеристики */
    case OPTIONAL_PROPERTIES_FILLED = 5;
    /** Товар не активен */
    case PRODUCT_DEACTIVATION = 6;
    /** Товар активен */
    case PRODUCT_ACTIVATION = 7;
    /** Добавлен в товарную склейку */
    case ADDED_TO_PRODUCT_GROUPS = 8;
}
